Skip to Content
BusinessChecksSent Checks

Create Checks

POST
/v0/business/{business_id}/checks

Record checks a Business has written.

Scopes: check:create

Authorization

OAuth2ClientCredentialsBearer check:create
headerAuthorizationBearer <token>

Scope: check:create

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string

Header Parameters

x-user-id?|

Optional external entity identifier that performed the action

Request Body

application/json
  1. body
Itemsitems <= 100
[index: integer]?

Response Body

Successful Response

application/json
  1. response
data*array<>
errors*array<>
Example Request
curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/checks' \  -H 'Content-Type: application/json' \  -d '[  {    "external_account_id": "eac_ApaM9xeQtNyVk5qpaHJbNj",    "payee": "ABC Plumbing",    "amount": 500,    "issued_at": "2026-09-03T00:00:00Z"  }]'
Example Response
{  "data": [    {      "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",      "external_account_id": "eac_ApaM9xeQtNyVk5qpaHJbNj",      "payee": "ABC Plumbing",      "vendor_id": "ven_WQMDNUHpBThYSNh4AprDBo",      "amount": 500,      "currency": "USD",      "check_number": "1042",      "issued_at": "2019-08-24T14:15:22Z",      "memo": "Invoice 2231",      "voided_at": "2019-08-24T14:15:22Z",      "created_by": "string",      "id": "chk_WQMDNUHpBThYSNh4AprDBo",      "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",      "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",      "cleared_at": "2019-08-24T14:15:22Z",      "status": "issued"    }  ],  "errors": [    {      "error": "string",      "check_number": "string",      "payee": "string"    }  ]}